Subject: Re: [PATCH v8 1/4] stash: add --ours-label, --theirs-label, --base-label for apply

From: Junio C Hamano <[email-masked]>
Date: Fri, 10 Apr 2026 09:15:02 -0700

Phillip Wood <[email-masked]> writes:

>> +test_expect_success 'apply with empty conflict labels' '
>
> Why do we want to support empty labels rather than making them an error?

Why not?

There are applications that do not require, and prefer to have more
stable output that will not be affected by UI updates to improve
human-user experience.  Even though rerere database is not populated
with the facility this patch implements, we can see in

    $ grep -C2 -e '^\([<=>]\)\1\{6,\}$' .git/rr-cache/*/preimage*

how having labels make the output more noisy, and more importantly,
will make it misleading given how rerere is designed to work,
treating the same merge conflicts in both directions equivalents.
It is not a huge stretch of imagination that our users will find
similar needs, I would imagine.